Subject: Re: bug#25929: 25.2; map-delete doesn't delete permanently 1st alist elt

From: Michael Heerdegen <[email-masked]>
Date: Wed, 22 Mar 2017 15:43:09 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not quite sure what the objection to map-delete being a macro
> is...

It depends on what you find "convenient".  For any macro, I have to
remember which arguments are evaluated and which not, or read the docs
every time I want to use it.  Macros make debugging harder.  Etc.
That's why we usually avoid macros when a function would do.

I understand that you find your suggestion more convenient, but OTOH it
would not be consistent with similar functions we have and introduce
another inconsistency.  I just think it's not worth it.

Michael.